Index: trunk/source/physics_lists/builders/src/G4PiKBuilder.cc
===================================================================
--- trunk/source/physics_lists/builders/src/G4PiKBuilder.cc	(revision 1227)
+++ trunk/source/physics_lists/builders/src/G4PiKBuilder.cc	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4PiKBuilder.cc,v 1.1 2006/10/31 11:35:03 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-03 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //---------------------------------------------------------------------------
Index: trunk/source/physics_lists/builders/src/G4PrecoNeutronBuilder.cc
===================================================================
--- trunk/source/physics_lists/builders/src/G4PrecoNeutronBuilder.cc	(revision 1227)
+++ trunk/source/physics_lists/builders/src/G4PrecoNeutronBuilder.cc	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4PrecoNeutronBuilder.cc,v 1.2 2009/03/31 11:03:50 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-03 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //---------------------------------------------------------------------------
Index: trunk/source/physics_lists/builders/src/G4PrecoProtonBuilder.cc
===================================================================
--- trunk/source/physics_lists/builders/src/G4PrecoProtonBuilder.cc	(revision 1227)
+++ trunk/source/physics_lists/builders/src/G4PrecoProtonBuilder.cc	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4PrecoProtonBuilder.cc,v 1.2 2009/03/31 11:03:50 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-03 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //---------------------------------------------------------------------------
Index: trunk/source/physics_lists/builders/src/G4ProtonBuilder.cc
===================================================================
--- trunk/source/physics_lists/builders/src/G4ProtonBuilder.cc	(revision 1227)
+++ trunk/source/physics_lists/builders/src/G4ProtonBuilder.cc	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4ProtonBuilder.cc,v 1.1 2006/10/31 11:35:03 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-03 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //---------------------------------------------------------------------------
Index: trunk/source/physics_lists/builders/src/G4QAtomicPhysics.cc
===================================================================
--- trunk/source/physics_lists/builders/src/G4QAtomicPhysics.cc	(revision 1227)
+++ trunk/source/physics_lists/builders/src/G4QAtomicPhysics.cc	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4QAtomicPhysics.cc,v 1.1 2009/11/20 10:24:28 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-03 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //---------------------------------------------------------------------------
Index: trunk/source/physics_lists/builders/src/G4QCaptureAtRestPhysics.cc
===================================================================
--- trunk/source/physics_lists/builders/src/G4QCaptureAtRestPhysics.cc	(revision 1227)
+++ trunk/source/physics_lists/builders/src/G4QCaptureAtRestPhysics.cc	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4QCaptureAtRestPhysics.cc,v 1.1 2009/11/16 19:12:10 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-03 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //---------------------------------------------------------------------------
Index: trunk/source/physics_lists/builders/src/G4QEmExtraPhysics.cc
===================================================================
--- trunk/source/physics_lists/builders/src/G4QEmExtraPhysics.cc	(revision 1227)
+++ trunk/source/physics_lists/builders/src/G4QEmExtraPhysics.cc	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4QEmExtraPhysics.cc,v 1.2 2009/11/16 19:12:10 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-03 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //---------------------------------------------------------------------------
Index: trunk/source/physics_lists/builders/src/G4QGSBinaryNeutronBuilder.cc
===================================================================
--- trunk/source/physics_lists/builders/src/G4QGSBinaryNeutronBuilder.cc	(revision 1227)
+++ trunk/source/physics_lists/builders/src/G4QGSBinaryNeutronBuilder.cc	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4QGSBinaryNeutronBuilder.cc,v 1.3 2009/03/31 11:03:50 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-03 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //---------------------------------------------------------------------------
Index: trunk/source/physics_lists/builders/src/G4QGSBinaryPiKBuilder.cc
===================================================================
--- trunk/source/physics_lists/builders/src/G4QGSBinaryPiKBuilder.cc	(revision 1227)
+++ trunk/source/physics_lists/builders/src/G4QGSBinaryPiKBuilder.cc	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4QGSBinaryPiKBuilder.cc,v 1.3 2009/03/31 11:03:50 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-03 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //---------------------------------------------------------------------------
Index: trunk/source/physics_lists/builders/src/G4QGSBinaryProtonBuilder.cc
===================================================================
--- trunk/source/physics_lists/builders/src/G4QGSBinaryProtonBuilder.cc	(revision 1227)
+++ trunk/source/physics_lists/builders/src/G4QGSBinaryProtonBuilder.cc	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4QGSBinaryProtonBuilder.cc,v 1.3 2009/03/31 11:03:50 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-03 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //---------------------------------------------------------------------------
Index: trunk/source/physics_lists/builders/src/G4QGSBuilder.cc
===================================================================
--- trunk/source/physics_lists/builders/src/G4QGSBuilder.cc	(revision 1227)
+++ trunk/source/physics_lists/builders/src/G4QGSBuilder.cc	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4QGSBuilder.cc,v 1.1 2009/10/04 16:29:54 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-03 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //---------------------------------------------------------------------------
Index: trunk/source/physics_lists/builders/src/G4QGSCEflowNeutronBuilder.cc
===================================================================
--- trunk/source/physics_lists/builders/src/G4QGSCEflowNeutronBuilder.cc	(revision 1227)
+++ trunk/source/physics_lists/builders/src/G4QGSCEflowNeutronBuilder.cc	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4QGSCEflowNeutronBuilder.cc,v 1.4 2009/03/31 11:03:50 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-03 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //---------------------------------------------------------------------------
Index: trunk/source/physics_lists/builders/src/G4QGSCEflowPiKBuilder.cc
===================================================================
--- trunk/source/physics_lists/builders/src/G4QGSCEflowPiKBuilder.cc	(revision 1227)
+++ trunk/source/physics_lists/builders/src/G4QGSCEflowPiKBuilder.cc	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4QGSCEflowPiKBuilder.cc,v 1.4 2009/03/31 11:03:50 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-03 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //---------------------------------------------------------------------------
Index: trunk/source/physics_lists/builders/src/G4QGSCEflowProtonBuilder.cc
===================================================================
--- trunk/source/physics_lists/builders/src/G4QGSCEflowProtonBuilder.cc	(revision 1227)
+++ trunk/source/physics_lists/builders/src/G4QGSCEflowProtonBuilder.cc	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4QGSCEflowProtonBuilder.cc,v 1.4 2009/03/31 11:03:50 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-03 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //---------------------------------------------------------------------------
Index: trunk/source/physics_lists/builders/src/G4QGSCNeutronBuilder.cc
===================================================================
--- trunk/source/physics_lists/builders/src/G4QGSCNeutronBuilder.cc	(revision 1227)
+++ trunk/source/physics_lists/builders/src/G4QGSCNeutronBuilder.cc	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4QGSCNeutronBuilder.cc,v 1.5 2009/03/31 11:03:50 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-03 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //---------------------------------------------------------------------------
Index: trunk/source/physics_lists/builders/src/G4QGSCPiKBuilder.cc
===================================================================
--- trunk/source/physics_lists/builders/src/G4QGSCPiKBuilder.cc	(revision 1227)
+++ trunk/source/physics_lists/builders/src/G4QGSCPiKBuilder.cc	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4QGSCPiKBuilder.cc,v 1.5 2009/03/31 11:03:50 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-03 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //---------------------------------------------------------------------------
Index: trunk/source/physics_lists/builders/src/G4QGSCProtonBuilder.cc
===================================================================
--- trunk/source/physics_lists/builders/src/G4QGSCProtonBuilder.cc	(revision 1227)
+++ trunk/source/physics_lists/builders/src/G4QGSCProtonBuilder.cc	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4QGSCProtonBuilder.cc,v 1.5 2009/03/31 11:03:50 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-03 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //---------------------------------------------------------------------------
Index: trunk/source/physics_lists/builders/src/G4QGSPNeutronBuilder.cc
===================================================================
--- trunk/source/physics_lists/builders/src/G4QGSPNeutronBuilder.cc	(revision 1227)
+++ trunk/source/physics_lists/builders/src/G4QGSPNeutronBuilder.cc	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4QGSPNeutronBuilder.cc,v 1.5 2009/03/31 11:03:50 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-03 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //---------------------------------------------------------------------------
Index: trunk/source/physics_lists/builders/src/G4QGSPPiKBuilder.cc
===================================================================
--- trunk/source/physics_lists/builders/src/G4QGSPPiKBuilder.cc	(revision 1227)
+++ trunk/source/physics_lists/builders/src/G4QGSPPiKBuilder.cc	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4QGSPPiKBuilder.cc,v 1.5 2009/03/31 11:03:50 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-03 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //---------------------------------------------------------------------------
Index: trunk/source/physics_lists/builders/src/G4QGSPProtonBuilder.cc
===================================================================
--- trunk/source/physics_lists/builders/src/G4QGSPProtonBuilder.cc	(revision 1227)
+++ trunk/source/physics_lists/builders/src/G4QGSPProtonBuilder.cc	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4QGSPProtonBuilder.cc,v 1.5 2009/03/31 11:03:50 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-03 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //---------------------------------------------------------------------------
Index: trunk/source/physics_lists/builders/src/G4QInelasticCHIPSBuilder.cc
===================================================================
--- trunk/source/physics_lists/builders/src/G4QInelasticCHIPSBuilder.cc	(revision 1227)
+++ trunk/source/physics_lists/builders/src/G4QInelasticCHIPSBuilder.cc	(revision 1228)
@@ -24,5 +24,5 @@
 // ********************************************************************
 //
-// GEANT4 tag $Name: geant4-09-03-cand-03 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //---------------------------------------------------------------------------
Index: trunk/source/physics_lists/builders/src/G4QMessenger.cc
===================================================================
--- trunk/source/physics_lists/builders/src/G4QMessenger.cc	(revision 1227)
+++ trunk/source/physics_lists/builders/src/G4QMessenger.cc	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4QMessenger.cc,v 1.1 2009/11/13 18:50:14 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-03 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //---------------------------------------------------------------------------
Index: trunk/source/physics_lists/builders/src/G4QNeutrinoPhysics.cc
===================================================================
--- trunk/source/physics_lists/builders/src/G4QNeutrinoPhysics.cc	(revision 1227)
+++ trunk/source/physics_lists/builders/src/G4QNeutrinoPhysics.cc	(revision 1228)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: G4QNeutrinoPhysics.cc,v 1.2 2009/11/16 19:12:10 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-03 $
+// $Id: G4QNeutrinoPhysics.cc,v 1.3 2009/11/30 18:44:49 mkossov Exp $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //---------------------------------------------------------------------------
@@ -43,5 +43,5 @@
   G4VPhysicsConstructor(name), wasBuilt(false), nuEleActivated(false),
   nuMuoActivated(false), nuTauActivated(false), nuEleOn(false),
-  nuMuoOn(false), nuTauOn(false), nuNucBias(1.)
+  nuMuoOn(false), nuTauOn(false), nuNucBias(1.), inelastic(0)
 {
   theMessenger = G4QMessenger::GetPointer();
@@ -51,5 +51,5 @@
 G4QNeutrinoPhysics::~G4QNeutrinoPhysics()
 {
-  if(wasBuilt) delete inelastic;
+  if(wasBuilt && inelastic) delete inelastic;
 }
 
@@ -94,11 +94,14 @@
 {
   if(wasBuilt) return;
-  wasBuilt = true;
-
-  inelastic = new G4QInelastic("neutrinoNuclear");
-  inelastic->SetWeakNucBias(nuNucBias); // enough only once (static)
-  if (nuEleOn)   BuildNuEleNuclear();
-  if (nuMuoOn)   BuildNuMuoNuclear();
-  if (nuTauOn)   BuildNuTauNuclear();
+  if(nuEleOn || nuMuoOn || nuTauOn)
+  {
+    wasBuilt = true;
+    G4cout<<"Builded=>G4QNeutrinoPhysics: "<<nuEleOn<<", "<<nuMuoOn<<", "<<nuTauOn<<G4endl;
+    inelastic = new G4QInelastic("neutrinoNuclear");
+    inelastic->SetWeakNucBias(nuNucBias); // enough only once (static)
+    if (nuEleOn)   BuildNuEleNuclear();
+    if (nuMuoOn)   BuildNuMuoNuclear();
+    if (nuTauOn)   BuildNuTauNuclear();
+  }
 }
 
Index: trunk/source/physics_lists/builders/src/G4QNeutronBuilder.cc
===================================================================
--- trunk/source/physics_lists/builders/src/G4QNeutronBuilder.cc	(revision 1227)
+++ trunk/source/physics_lists/builders/src/G4QNeutronBuilder.cc	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4QNeutronBuilder.cc,v 1.4 2009/11/16 19:12:10 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-03 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //---------------------------------------------------------------------------
Index: trunk/source/physics_lists/builders/src/G4QPhotoNuclearPhysics.cc
===================================================================
--- trunk/source/physics_lists/builders/src/G4QPhotoNuclearPhysics.cc	(revision 1227)
+++ trunk/source/physics_lists/builders/src/G4QPhotoNuclearPhysics.cc	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4QPhotoNuclearPhysics.cc,v 1.2 2009/11/16 19:12:10 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-03 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //---------------------------------------------------------------------------
Index: trunk/source/physics_lists/builders/src/G4QProtonBuilder.cc
===================================================================
--- trunk/source/physics_lists/builders/src/G4QProtonBuilder.cc	(revision 1227)
+++ trunk/source/physics_lists/builders/src/G4QProtonBuilder.cc	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4QProtonBuilder.cc,v 1.4 2009/11/16 19:12:10 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-03 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //---------------------------------------------------------------------------
Index: trunk/source/physics_lists/builders/src/G4QStoppingPhysics.cc
===================================================================
--- trunk/source/physics_lists/builders/src/G4QStoppingPhysics.cc	(revision 1227)
+++ trunk/source/physics_lists/builders/src/G4QStoppingPhysics.cc	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4QStoppingPhysics.cc,v 1.2 2007/04/26 16:03:18 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-03 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //---------------------------------------------------------------------------
Index: trunk/source/physics_lists/builders/src/G4StoppingHadronBuilder.cc
===================================================================
--- trunk/source/physics_lists/builders/src/G4StoppingHadronBuilder.cc	(revision 1227)
+++ trunk/source/physics_lists/builders/src/G4StoppingHadronBuilder.cc	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4StoppingHadronBuilder.cc,v 1.1 2006/10/31 11:35:03 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-03 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //---------------------------------------------------------------------------
Index: trunk/source/physics_lists/builders/src/G4VHadronModelBuilder.cc
===================================================================
--- trunk/source/physics_lists/builders/src/G4VHadronModelBuilder.cc	(revision 1227)
+++ trunk/source/physics_lists/builders/src/G4VHadronModelBuilder.cc	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4VHadronModelBuilder.cc,v 1.1 2009/10/04 16:29:54 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-03 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //---------------------------------------------------------------------------
Index: trunk/source/physics_lists/builders/src/G4VNeutronBuilder.cc
===================================================================
--- trunk/source/physics_lists/builders/src/G4VNeutronBuilder.cc	(revision 1227)
+++ trunk/source/physics_lists/builders/src/G4VNeutronBuilder.cc	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4VNeutronBuilder.cc,v 1.1 2009/03/31 18:39:53 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-03 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //---------------------------------------------------------------------------
Index: trunk/source/physics_lists/builders/src/G4VPiKBuilder.cc
===================================================================
--- trunk/source/physics_lists/builders/src/G4VPiKBuilder.cc	(revision 1227)
+++ trunk/source/physics_lists/builders/src/G4VPiKBuilder.cc	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4VPiKBuilder.cc,v 1.1 2009/03/31 18:39:53 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-03 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //---------------------------------------------------------------------------
Index: trunk/source/physics_lists/builders/src/G4VProtonBuilder.cc
===================================================================
--- trunk/source/physics_lists/builders/src/G4VProtonBuilder.cc	(revision 1227)
+++ trunk/source/physics_lists/builders/src/G4VProtonBuilder.cc	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4VProtonBuilder.cc,v 1.1 2009/03/31 18:39:53 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-03 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //---------------------------------------------------------------------------
Index: trunk/source/physics_lists/lists/include/CHIPS.icc
===================================================================
--- trunk/source/physics_lists/lists/include/CHIPS.icc	(revision 1227)
+++ trunk/source/physics_lists/lists/include/CHIPS.icc	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: CHIPS.icc,v 1.7 2009/11/20 16:49:03 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-03 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //---------------------------------------------------------------------------
